/*
 * WALTZ
 *
 * In the header file there are constants for initializing the board.
 *
 * Copyright  2012-2013 Pavel Vesely <vesely@kam.mff.cuni.cz>
 *
 * This program is distributed under the GNU General Public License.
 * See COPYING for details.
 */

#ifndef TZAARINIT_H_INCLUDED
#define TZAARINIT_H_INCLUDED

#include "ai/lib.h"

// -----------------
// CONSTANTS
// ----------------

// board setup
#define STANDARD 0
#define RANDOM 1
#define MANUAL 2

// ---------------
// FUNCTIONS -- TZAAR INIT
// ---------------

void CountMaterialValue(void);
void CountHash(void);
void CountZoneOfControl(void);
void InitBoard(int setup);

#endif	// TZAARINIT_H_INCLUDED
