/*
 * WALTZ
 *
 * The header file for module saveload
 *
 * Copyright  2012-2013 Pavel Vesely <vesely@kam.mff.cuni.cz>
 *
 * This program is distributed under the GNU General Public License.
 * See COPYING for details.
 */
#ifndef TZAARSAVELOAD_H_INCLUDED
#define TZAARSAVELOAD_H_INCLUDED

#include "ai/lib.h"

int SavePosition(const char *fileName);
int LoadPosition(const char *fileName);
int SaveBestMoves(const char *fileName, Move * m1, Move * m2, bool m1cannotBeNull);
int LoadMoves(const char *fileName, Move **m1, Move **m2);

#endif				// TZAARSAVELOAD_H_INCLUDED
