import time
import shutil
import subprocess
import os, os.path
import sys, traceback
import random

#TODO testovaci mod do programu

true = 1
false = 0
sleepSecs = 30
fileForExternalAI = "./TestCurrGame.sav"
#positionExecutedFile = "./TestPosAfter.sav"
externalAIArgs = "-a 24 -t 120 -b " + fileForExternalAI # -t 300 # -e " + positionExecutedFile + "
externalAIExec = "../TestTzaar/tzaarTest " + externalAIArgs
selectedDir = "./selected/"
testingPosDir = "../PythonBAJClients/logs/"

def getTimeString():
	ltime = time.localtime(time.time())
	return "%d-%.2d-%.2d_%.2d-%.2d-%.2d" % (ltime.tm_year, ltime.tm_mon, ltime.tm_mday, ltime.tm_hour, ltime.tm_min, ltime.tm_sec)

def getDateString():
	ltime = time.localtime(time.time())
	return "%d-%.2d-%.2d" % (ltime.tm_year, ltime.tm_mon, ltime.tm_mday)
        
def printOutput(str):
	output.write(str)
	print str
	output.write('\n')
	output.flush()

def writeOutput(str):
	output.write(str)
	sys.stdout.write(str)
	output.flush()
	
def exception(err, subj, e):
	printOutput(err)
	exc_type, exc_value, exc_traceback = sys.exc_info()
	se = str(e)
	printOutput(se)
	traceback.print_tb(exc_traceback, limit=1, file=sys.stdout)
	printOutput("-- waiting due to exception")
	time.sleep(sleepSecs)

def isNotEmpty(s):
        if len(s) == 0: return False
        else: return True

def splitString(s, separators):
        res = [s]
        for sep in separators:
                s, res = res, []
                for spart in s:
                        res += spart.split(sep)
        return filter(isNotEmpty,res)       

resultFileName = "search-" + getTimeString() + ".txt" 
output = open(resultFileName, 'a+')
testingFiles = os.listdir(testingPosDir).sort()
sumTime = 0
for testingFile in testingFiles:
        if os.path.isdir(testingPosDir + testingFile): continue
        #f = testingFile[testingFile.rfind("/"):]
        printOutput("----- running file: " + testingFile)
        shutil.copy(testingPosDir + testingFile, fileForExternalAI)
        p = subprocess.Popen(externalAIExec, shell=True, stdout=subprocess.PIPE, stderr=subprocess.STDOUT)
      	time.sleep(1)
	while 1:
		line = p.stdout.readline()
		if line == "": break
		writeOutput(line)
	ret = p.wait()
	if (ret != 0):
		err = "ERROR: External AI returned %d " % (ret)
		printOutput(err)
		time.sleep(sleepSecs)
                break
	aioutput = open(fileForExternalAI,"r")
	s = aioutput.read()
	aioutput.close()
        #stime = getTimeString()
	#writeOutput("output " + stime +  ": " + s)	
        fields = splitString(s, [' ', '\n', '\r', '\t'])
        tm = float(fields[len(fields) - 2])
        tm = int(fields[len(fields) - 1])
        if (abs(val) == 2000000000):
                sumTime += tm                     
                shutil.copy(testingPosDir + testingFile, selectedDir + testingFile)
                print "select %s with time %f and value %d, copied to %s" % (testingPosDir + testingFile, tm, val, selectedDir + testingFile)
printOutput("SUM TIME :) %f" % sumTime)        
      

